// custom variables and override bootstrap variables

$base-font-sans-serif: 'Arial', 'Helvetica Neue', 'Helvetica', sans-serif;
$base-font-serif: 'Times New Roman', 'Times', 'Baskerville', 'Georgia', serif;

$Montserrat: 'Montserrat', $base-font-sans-serif;

$body-bg: #fff;

$white: #fff;
$gray-100: #f6f6f8;
$gray-200: #eee;
$gray-300: #e6e6e6;
$gray-400: #ddd;
$gray-500: #ccc;
$gray-600: #999;
$gray-700: #888;
$gray-800: #444;
$gray-900: #222;
$black: #000 !default;

$dark-blue: #003d98;
$blue: #156aa3;
$indigo: #6610f2 !default;
$purple: #6f42c1 !default;
$pink: #e83e8c !default;
$red: #e24545;
$orange: #e08d0a;
$yellow: #ffc107 !default;
$teal: #20c997 !default;
$cyan: #17a2b8 !default;
$gray: #bdbfc1;
$green: #0da474;
$dark-blue: #155375;

$colors: map-merge((
		"blue": $dark-blue,
		"indigo": $indigo,
		"purple": $purple,
		"pink": $pink,
		"red": $red,
		"orange": $orange,
		"yellow": $yellow,
		"green": $green,
		"teal": $teal,
		"cyan": $cyan,
		"white": $white,
		"gray": $gray-600,
		"gray-dark": $gray-800
), $colors);

$primary: $dark-blue;
$secondary: $gray-400;
$success: $white;
$info: $cyan !default;
$warning: $orange;
$danger: $red !default;
$light: $gray-200;
$dark: $gray-800;

$theme-colors: map-merge((
		"primary": $primary,
		"secondary": $secondary,
		"success": $success,
		"info": $info,
		"warning": $warning,
		"danger": $danger,
		"light": $light,
		"dark": $dark
), $theme-colors);

$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge((
		0: 0,
		1: ($spacer * .25),
		2: ($spacer * .5),
		3: $spacer,
		4: ($spacer * 1.5),
		5: ($spacer * 3),
		6: ($spacer * 4.5),
		7: ($spacer * 6),
		8: ($spacer * 7.5),
		9: ($spacer * 9),
		10: ($spacer * 10.5)
), $spacers);

$header-main-font: 1.621rem;
$subheader-main-font: .748rem;
$footer-font: .688rem;
$breadcrumb-font: .75rem;
$nav-item-font: .811rem;
$buy-button-font: .936rem;
$page-header-font: 1.625rem;
$product-name-font: .875rem;
$product-price-font: 1rem;
$icon-font: 1.75rem;

$animation-speed: 0.3s;

$base-min-width: 320px;
$nav-link-padding-y: 0;
$nav-tabs-link-active-color: $white;
$input-border-width: 1px;
$breadcrumb-bg: transparent;
$breadcrumb-item-padding: 0.3125rem;
$btn-line-height: 2;
$btn-padding-x: 1rem;
$input-focus-box-shadow: none;
$input-focus-border-color: $gray-700;
$container-max-widths: (
		sm: 540px,
		md: 720px,
		lg: 960px,
		xl: 1140px
);
$breadcrumb-padding-x: 0;
$nav-tabs-border-width: 0;
$btn-border-width: 2px;

$navbar-nav-link-padding-x: 0;
$nav-tabs-border-radius: 0;
$nav-tabs-link-active-bg: $blue;
$nav-tabs-link-active-border-color: transparent;
$btn-border-radius-sm: 0;
$btn-border-radius-lg: 0;
$navbar-light-active-color: $red;
$navbar-light-hover-color: $red;
$navbar-light-color: $gray-800;
$btn-border-radius: 0;
$link-hover-color: $white;
$link-hover-decoration: none;
$input-border-radius: 0;
$border-radius: 0;
$navbar-padding-y: 0;
$navbar-padding-x: 0;
$breadcrumb-divider: ">";
$input-height: 3rem;
$border-color: $gray-400;
$next: 1000px;
$btn-focus-box-shadow: none;
$active-background: $green;

.nav-item {
  padding: 0 .63rem;
  &:hover {
	@media (min-width: 992px) {
	  .nav-link {
		color: $red;
	  }

	  &:after {
		content: "";
		position: absolute;
		z-index: 1;
		width: .625rem;
		height: 0.1875rem;
		background-color: $red;
		bottom: -.5rem;
	  }
	}
  }
}

.nav-link {
  font: 700 $nav-item-font $Montserrat;
  text-transform: uppercase;
}

.nav-link .active {
  color: #0a815b !important;
}

.dropdown-toggle::after {
  content: '\e903';
  font-family: 'icomoon';
  border: none;
  font-size: .3rem;
}

.breadcrumb {
  font: 400 $breadcrumb-font $Montserrat;
  background-color: transparent;
  margin: 0;
  color: $gray-700;
  a {
	font-weight: 700;
	color: $gray-800;
  }
}

a {
  color: $gray-600;
}

.input-group {
  max-width: 27.5rem;
  @media (max-width: 1200px) {
	max-width: 25vw;
  }
  @media (max-width: 996px) {
	max-width: 50vw;
  }
  @media (max-width: 540px) {
	max-width: 90vw;
  }
}

.navbar-nav {
  @media (max-width: 996px) {
	.dropdown-menu {
	  position: absolute;
	  left: 7rem;
	  max-width: 20rem;
	  top: 1rem;
	}
  }

  .dropdown-item {
	font: 700 $breadcrumb-font $Montserrat;
  }

}

//легче отгрызть себе руку, чем разобраться с бутстпаповским button-variant
.product-actions-wrapper {
  .btn-outline-light:not(:disabled):not(.disabled):active,
  .btn-outline-light:not(:disabled):not(.disabled).active,
  .show > .btn-outline-light.dropdown-toggle {
	background-color: $red;
	border-color: $red;
  }
}